function AccountSwiper(currentView) {
	this.tiView = this._createView(currentView);
}

AccountSwiper.prototype.getTiView = function() {
	return this.tiView;
};

AccountSwiper.prototype._createView = function(currentView) {//Generate Swiper

	// Simplistic version of the real structure used in our app
	//we have a container which holds other views as well, 
	//so creating one here for error-reproducing purposes
	var swiperContainerView = Ti.UI.createView({
		height : 105,
		width : Titanium.Platform.displayCaps.platformWidth,
		backgroundColor : 'transparent',
	});

	var viewList = createAllViews(4);	//Create mock data to be used in the swiper
	function createAllViews(numViews) {
		var viewArray = [];
		for (var i = 0; i < numViews; i++) {
			var aLabel = Ti.UI.createLabel({
				width : 200,
				height : 200,
				color : 'white',
				text : ('This is in position: ' + i),
				backgroundColor : 'brown'
			});
			viewArray.push(aLabel);
		}
		return viewArray;
	}

	this.swiper = Ti.UI.createScrollableView({ 	// Create swiper
		views : viewList,
		currentPage : currentView, //passed in from FirstView.js
		width : Titanium.Platform.displayCaps.platformWidth * .85,
		height : swiperContainerView.height,
		disableBounce : true
	});
	var thisObj = this;
	
	/*Initialized at:*/	
	Ti.API.info('ScrollableView initialized at position: ' + this.swiper.currentPage);
	
	/*After one second:*/
	setTimeout(function() {
		Ti.API.info('ScrollableViews current page after one second: ' + thisObj.swiper.currentPage);
	}, 1000);

	swiperContainerView.add(this.swiper);

	return this.swiper; //<-- Uncomment to 'resolve' issue
	//return swiperContainerView;
};

module.exports = AccountSwiper;